Libical API Documentation 3.0

Public Member Functions | Static Public Member Functions
LibICal::ICalValue Class Reference

## Public Member Functions
| ICalValue (const ICalValue &)
| ICalValue (const icalvalue_kind &kind)
| ICalValue (const icalvalue_kind &kind, const std::string &str)
| ICalValue (icalvalue *)
std::string | as_ical_string ()
void | detach ()
enum icalproperty_action | get_action () const
icalattach * | get_attach ()
std::string | get_binary () const
int | get_boolean () const
std::string | get_caladdress () const
enum icalproperty_class | get_class () const
struct icaltimetype | get_date () const
struct icaltimetype | get_datetime () const
struct icaldatetimeperiodtype | get_datetimeperiod ()
struct icaldurationtype | get_duration () const
float | get_float () const
struct icalgeotype | get_geo () const
int | get_integer () const
enum icalproperty_method | get_method () const
struct icalperiodtype | get_period () const
std::string | get_query () const
struct icalrecurrencetype | get_recur ()
enum icalproperty_status | get_status () const
std::string | get_string () const
std::string | get_text () const
enum icalproperty_transp | get_transp () const
struct icaltriggertype | get_trigger ()
std::string | get_uri () const
int | get_utcoffset () const
bool | is_valid ()
icalvalue_kind | isa ()
int | isa_value (void *)
std::string | kind_to_string (const icalvalue_kind &kind)
| operator icalvalue * ()
ICalValue & | operator= (const ICalValue &)
void | set_action (const enum icalproperty_action &v)
void | set_attach (icalattach *v)
void | set_binary (const std::string &v)
void | set_boolean (const int &v)
void | set_caladdress (const std::string &v)
void | set_class (const enum icalproperty_class &v)
void | set_date (const struct icaltimetype &v)
void | set_datetime (const struct icaltimetype &v)
void | set_datetimeperiod (const struct icaldatetimeperiodtype &v)
void | set_duration (const struct icaldurationtype &v)
void | set_float (const float &v)
void | set_geo (const struct icalgeotype &v)
void | set_integer (const int &v)
void | set_method (const enum icalproperty_method &v)
void | set_period (const struct icalperiodtype &v)
void | set_query (const std::string &v)
void | set_recur (const struct icalrecurrencetype &v)
void | set_status (const enum icalproperty_status &v)
void | set_string (const std::string &v)
void | set_text (const std::string &v)
void | set_transp (const enum icalproperty_transp &v)
void | set_trigger (const struct icaltriggertype &v)
void | set_uri (const std::string &v)
void | set_utcoffset (const int &v)

## Static Public Member Functions
static icalparameter_xliccomparetype | compare (ICalValue &a, ICalValue &b)
static icalvalue_kind | string_to_kind (const std::string &str)

The documentation for this class was generated from the following file:

- icalvalue_cxx.h